Is not having LLE Modules the reason why most games freeze?
Started by mattcackles




19 posts in this topic
xXBeefyDjXx
Unregistered


 
02-28-2016, 07:49 PM -
#11
(02-28-2016, 07:43 PM)tambre Wrote:
(02-28-2016, 07:36 PM)xXBeefyDjXx Wrote:
(02-28-2016, 07:05 PM)tambre Wrote: What do you mean AppVeyor builds break games? The AppVeyor builds are compiled using CMake and the Visual Studio compiler, so there shouldn't be any problems.

Should probably make another thread with logs in support, but games like Terraria, Comix Zone, and others listed in the "Playable" and "Loadable" don't seem to work at all or try to load and crash?

No matter if I set the LLEs that It had the previous build it just breaks it.

I never seem to get anywhere unless I use the second interpreter on both cpu and gpu either, but that's just me.

Were you trying to run the games with the recompiler? Also, if the games no longer work, provide the logs and other necessary tidbits and it'll be moved to the right section.

I usually use Interpreter 2, and Interpreter (Fast), DX12 on a 860M.
I have very little luck with recompiler (Llvm) so I leave it alone
tambre
Unregistered


 
02-29-2016, 05:39 AM -
#12
Yeah, it's better not to use LLVM. Since you're on a laptop, make sure Nvidia Optimus or whatever that thing is called isn't using Intel Integrated Graphics for RPCS3.
xXBeefyDjXx
Unregistered


 
03-01-2016, 04:17 PM -
#13
(02-29-2016, 05:39 AM)tambre Wrote: Yeah, it's better not to use LLVM. Since you're on a laptop, make sure Nvidia Optimus or whatever that thing is called isn't using Intel Integrated Graphics for RPCS3.

I always make sure it is set to default on everything and this is the case.
notq
RPCS3 Tester


0
435 posts 58 threads Joined: Nov 2017
02-21-2017, 08:44 PM -
#14
(02-28-2016, 05:55 AM)tambre Wrote: Onto the auto-selection of modules. I have talked about it quite a bit before. The answer is no, it's not going to be implemented currently. We don't know what LLE modules the game might need, since we'd need to know if the HLE variant would work.
There is an internal flag (MFF_PERFECT_HLE) for HLE functions that will tell the emulator to always use the HLE variant instead. This is/will be used for perfectly implemented functions.

Could you please explain how to select needed LLe modules for each game, cause i don't get it since the beginning.

Also like i mention before in the thread http://www.emunewz.net/forum/showthread.php?tid=177015 where i got same results with only 3 LLe module but not with 10 like BlackDaemon used. So i don't get it even more.
digitaldude
RPCS3 Tester


4
3,033 posts 559 threads Joined: Aug 2017
02-21-2017, 08:50 PM -
#15
Most people that are testing games use the catherine LLE set so that they don't have to wonder what LLE to pick, most likely your 3 are needed for the game but most of blackdaemon's are not needed and they don't impact the game in anyway. And seems the Auto LLE is not happening any time soon.
notq
RPCS3 Tester


0
435 posts 58 threads Joined: Nov 2017
02-21-2017, 09:07 PM -
#16
(02-21-2017, 08:50 PM)digitaldude Wrote: Most people that are testing games use the catherine LLE set so that they don't have to wonder what LLE to pick, most likely your 3 are needed for the game but most of blackdaemon's are not needed and they don't impact the game in anyway. And seems the Auto LLE is not happening any time soon.

I don't think it so easy otherwise he would not make a list of lle's every time.

"Auto lle" is not coming soon, so ok, i want to understand how to choose needed.

Btw thank you for the reply, didn't know about catherine lle's set.

Is there any difference between .sprx or .prx ?

I see some topic starters using equally same sets but with different file extension.
ssshadow
Administrator
*******


4
2,494 posts 63 threads Joined: Aug 2017
02-21-2017, 09:31 PM -
#17
Auto LLE is coming soon, it is on the short term list. Of course "soon" in the context of making a PS3 emulatior may be a few weeks. Critical core improvements is the priory right now.
notq
RPCS3 Tester


0
435 posts 58 threads Joined: Nov 2017
02-21-2017, 09:34 PM -
#18
(02-21-2017, 09:31 PM)ssshadow Wrote: Auto LLE is coming soon, it is on the short term list. Of course "soon" in the context of making a PS3 emulatior may be a few weeks. Critical core improvements is the priory right now.

Thank you for the nice info. Smile
Kilowog01
Unregistered


 
02-22-2017, 05:44 PM -
#19
(02-21-2017, 09:31 PM)ssshadow Wrote: Auto LLE is coming soon, it is on the short term list. Of course "soon" in the context of making a PS3 emulatior may be a few weeks. Critical core improvements is the priory right now.

I miss more this update than I miss my ex. Do you have any idea how this will work? rpcs3 will load the LLE's based on errors or what? GCM (and other LLEs that bring problems) would have to be fixed before, right?
ssshadow
Administrator
*******


4
2,494 posts 63 threads Joined: Aug 2017
02-22-2017, 06:00 PM -
#20
(02-22-2017, 05:44 PM)Kilowog01 Wrote:
(02-21-2017, 09:31 PM)ssshadow Wrote: Auto LLE is coming soon, it is on the short term list. Of course "soon" in the context of making a PS3 emulatior may be a few weeks. Critical core improvements is the priory right now.

I miss more this update than I miss my ex. Do you have any idea how this will work? rpcs3 will load the LLE's based on errors or what? GCM (and other LLEs that bring problems) would have to be fixed before, right?

A game executable contains information on what modules it will use. So RPCS3 will just have to look at this "list" and then enable those that can be enabled.


Forum Jump:


Users browsing this thread: 1 Guest(s)